Crea  Modifica  FrontPage  Indici  Cerca  Ultime modifiche  History  RSS  Login

Guida all'Installazione su Windows

Microsoft Windows

Note

  • L'installazione dovrebbe essere facile e veloce. I pacchetti minimi richiesti sono Ruby, Ruby/GTK2 ed i binari delle GTK2 per Windows, resi disponibile da Dropline.
  • L'intero pacchetto Ruby-GNOME2 non supportato su Windows, e potrebbe non esserlo mai, poich richiede GNOME 2.
  • Le versioni di windows considerate sono Win9X/ME e WinNT/2000/XP/2003.
  • Questo processo di installazione stato testato con Ruby 1.8, ma dovrebbe funzionare anche con la versione 1.6.

Passi

Uno

Due

Tre

Quattro

  • Basta scaricare. E ora dobbiamo configurare tutto. Di base, esiste soltanto una variabile d'ambiente che deve essere modificata per contenere le directory dove si trovano i file binari importanti.
  • Convenzioni:
    • ruby-install-dir la directory dove stato installato Ruby . Es: c:\Ruby
    • gtk-install-dir la directory dove sono state installate le GTK+2 . Es: c:\Gtk
  • Su Win9X/ME
    • Modificate il file c:\autoexec.bat. Aggiungete una linea (Si, dovrebbe essere l'ultima per essere pi sicuri) con scritto SET PATH=%PATH%;ruby-install-dir\bin;gtk-install-dir\bin;gtk-install-dir\lib . Riavviate per fare attuare i cambiamenti.
  • Su WinNT/2000/XP/2003
    • Aprite Pannello di Controllo>Sistema>Avanzate>Variabili d'Ambiente. Se c' una variabile di nome PATH, aggiungeteci ruby-install-dir\bin;gtk-install-dir\bin;gtk-install-dir\lib. Se non ce n' una , aggiungetela PATH ed impostatela a ruby-install-dir\bin;gtk-install-dir\bin;gtk-install-dir\lib.

Cinque

  • Ora di provate il tutto. Non preoccupatevi se qualcosa non va bene, c' una sezione per la risoluzione dei problemi comuni pi avanti.
  • I seguenti comandi devono essere digitati nel "Prompt DOS". Per aprire il Prompt DOS su:

    • Win9X/ME cliccate su Avvio e poi Esegui. Digitate command e premete <INVIO>.
    • WinNT/2000/XP/2003 cliccate su Avvio e poi Esegui. Digitate cmd e premete <INVIO>.
    C:\>ruby -v
    ruby 1.8.0 (2003-05-26) [i386-mswin32]
    
    C:\>ruby -e "require 'gtk2'"
    
    C:\>ruby -e "require 'gtk2';Gtk::Window.new('Hello Ruby-GNOME2 World!').show_all;Gtk.main"
  • Se questi comandi non danno errore, fatta. Da qui in avanti potete seguire i tutorials.

Risoluzione dei Problemi

Variabile d'ambiente PATH

Controllate che la variabile d'ambiente PATH sia impostata correttamente. Scrivete SET PATH nel "Prompt DOS" e controllate che contenga ruby-install-dir\bin;gtk-install-dir\bin;gtk-install-dir\lib come spiegato prima. Ripetete la configurazione se necessario. Chiudete e riaprite il "Prompt DOS" per fargli caricare i nuovi valori su WinNT/2000/XP/2003, o riavviate su Win9X/ME.

PATH sul mio sistema :

C:\>SET PATH
Path=C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\dev\python;C:\j2sdk1.4.2\bin;C:\ruby\bin;C:\Gtk\bin;C:\Gtk\lib

State attenti con le directory che hanno spazi nel nome, poich potrebbero causare errori. Racchiudetele tra virgolette (Es: "c:\my spaced directory name") se ottenete degli errori relativi alla variabile d'ambiente PATH .

ruby -v
se questo comando non funziona, controllate che ruby-install-dir\bin sia impostta correttamente all'interno del PATH .
ruby -e "require 'gtk2'"

Se questo comando non funziona, controllate che gtk-install-dir\bin e gtk-install-dir\lib siano impotstate correttamente nel PATH .

Se avete ancora dei problemi, fateci sapere che tipo di errori state ottenendo tramite la mailling lists.

Autore

  • Joao Pedrosa - joaopedrosa at yahoo dot com

Traduzione

ChangeLog

2003-10-18 prima versione
Ultima modifica:2006/07/02 15:07:36
Parola chiave:
Referenze:[Guida d'installazione]